<h1>HTTP Demo</h1>

<fieldset>
    <legend>Create/Edit User</legend>
    <table>
        <tr>
            <th>Name</th>
            <td><input type="text" [(ngModel)]="formUser.name"></td>
        </tr>
        <tr>
            <th>Skill</th>
            <td><input type="text" [(ngModel)]="formUser.skill"></td>
        </tr>
        <tr>
            <th>Title</th>
            <td><input type="text" [(ngModel)]="formUser.title"></td>
        </tr>
        <tr>
            <th colspan="2">
                <button (click)="save()">Save</button>
                <button (click)="clear()">Clear</button>
            </th>
        </tr>
    </table>
</fieldset>

<table *ngIf="users$ | async as users">
    <thead>
        <tr>
            <th>Id</th>
            <th>Photo</th>
            <th>Name</th>
            <th>Skill</th>
            <th>Title</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let u of users">
            <td>{{u.id}}</td>
            <td>
                <img [src]="u.photoUrl">
            </td>
            <td>{{u.name}}</td>
            <td>{{u.skill}}</td>
            <td>{{u.title}}</td>
            <td>
                <button (click)="edit(u)">EDIT</button>
                <button (click)="delete(u.id)">DELETE</button>
            </td>
        </tr>
    </tbody>
</table>
